Asset Management

Modify asset

Requires the MEDIAEDIT security role. Requires the MARKPUBLIC security role in order to change an asset’s isPublic state.

Custom thumbnails

To set a custom thumbnail, first upload the thumbnail image using the Modern Stack File Upload flow, then call this endpoint with the returned file id as customThumbnailFileId. To remove an existing custom thumbnail and revert to the automatically generated one, call this endpoint with removeCustomThumbnail=true. The two fields are mutually exclusive.

post
https://{your-bynder-domain}/api/v4/media/{id}

Path Parameters

idstringrequired

Asset id.

Body

application/x-www-form-urlencoded
archiveboolean

Indicating the archived state of the asset.

archiveDatestring(date-time)

Archive datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

brandIdstring

Id of the brand to save the asset to.

copyrightstring

Copyright information of the asset.

customThumbnailFileIdstring

The file id of the custom thumbnail to be set for the asset. Custom thumbnails must first be uploaded by following the steps described in the Modern Stack File Upload documentation; use the fileId returned by that flow. Cannot be combined with removeCustomThumbnail.

Example:00000000-0000-0000-0000-000000000000

datePublishedstring(date-time)

Publication datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

descriptionstring

Asset description.

idstring

Asset id.

isPublicboolean

Indicating the public state of the asset. Warning irreversible, once changed to true it cannot be changed back.

limitedboolean

Indicating the limit state of the asset.

limitedDatestring(date-time)

Limit datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

metapropertyobject

Mapping of metaproperty UUIDs to the option value(s) to set on the asset. Each value may be provided as option label, option DB name, or option UUID. For multi-select metaproperties, pass multiple values as a comma-separated string.

In x-www-form-urlencoded requests, fields are sent as metaproperty.<metaproperty_uuid>=<value1>,<value2>.

Example:{"02509778-CEE3-43D5-9E96-9A60B1E78314":"option_id1,option_id2","EF122F1F-9BA0-4772-80F1-BF05588B1A59":"option_id3"}

namestring

Name of the asset, beware the asset will have no name when this is empty.

removeCustomThumbnailboolean

Remove the current custom thumbnail from the asset, reverting to the automatically generated thumbnail. Cannot be combined with customThumbnailFileId.

Example:true

tagsstring

Comma-separated tags. Tags will overwrite the current tags list.

watermarkDatestring(date-time)

Watermark datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

Response

application/json

Accepted

messagestring
statuscodeinteger
post/api/v4/media/{id}

Body

{ "customThumbnailFileId": "7d3015f1-fadf-4fca-b49e-e6d08a29f9bb", "description": "Updated title and metadata from Postman form-data example", "id": "8EC04DC8-F7FE-4D2D-BE2F2789A632393D", "metaproperty.C53BC6FD-21A0-4DF1-AE80F0A329D7": "Option 1,Option 2", "metaproperty.C74B9496-16E8-41AA-80D83D8549C8": "B7F3232E-D2A9-40CF-8551-DA2B1FF4E97D,C5215523-AEBD-4A72-92F8-5D8C5E0F2E11", "metaproperty.E1202866-306B-43A5-ADE20BDAB6D1": "This is the alt text", "metaproperty.E8D9B6EF-F969-49B1-BDB95982F05D": "551CB615-965F-4643-A2A7-A4974AA0B128", "name": "Spring campaign hero image", "tags": "spring,hero,campaign-2026" }
 
application/json

Media options

Delete metaproperty options

delete
https://{your-bynder-domain}/api/media/options

Body

application/json
asset_idstring

Example:00000000-0000-0000-0000000000000000

metaproperty_idstring

Example:00000000-0000-0000-0000000000000000

metaproperty_option_idsarray[string]

Example:00000000-0000-0000-0000000000000000

Response

application/json

No Content

messagestring

Example:No Content

statuscodeinteger

Example:204

delete/api/media/options

Body

{}
 
application/json

Add metaproperty options

These calls allow you to change the metaproperty options attached to an asset.

Note that this is an append operation; the options you add here will be appended to the existing option on the asset, it does not overwrite them.

post
https://{your-bynder-domain}/api/media/options

Body

application/json
asset_idstring

Example:00000000-0000-0000-0000000000000000

metaproperty_idstring

Example:00000000-0000-0000-0000000000000000

metaproperty_option_idsarray[string]

Example:00000000-0000-0000-0000000000000000

Response

application/json

Created

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/media/options

Body

{ "asset_id": "00000000-0000-0000-0000000000000000", "metaproperty_id": "00000000-0000-0000-0000000000000000", "metaproperty_option_ids": [ "00000000-0000-0000-0000000000000000", "00000000-0000-0000-0000000000000001" ] }
 
application/json